<?php
/**
* 
*/
class controller_plugin_custom_html extends plugin
{
	function action_index($plugin) {
		if ($plugin['id'] != $this->run_params) {
			return $this->page;
		}
		//core::print_r($plugin);
		$file = $plugin['params'];
		$this->page['html'] = file_get_contents(ROOT_DIR . '/uploads/modules/plugin_custom_html/' . $file . '.html');
		return $this->page;
	}
	
	function action_activate() {
		$this->data['file_name'] = rand();
		$this->data['text'] = '';
		
		if( !is_dir(ROOT_DIR . '/uploads/modules/plugin_custom_html/')) { mkdir (ROOT_DIR . '/uploads/modules/plugin_custom_html/');}
		if(isset($_POST['html_code'])) {
			$file_name = ROOT_DIR . '/uploads/modules/plugin_custom_html/' . $_POST['file_name'] . '.html';
			file_put_contents($file_name, $_POST['html_code']);
			$this->page['params'] = $_POST['file_name'];
		}
		
		$this->page['html'] = $this->load_view('form') . '';
		return $this->page;
	}
	
	public function action_settings($info) {
		$file_name = ROOT_DIR . '/uploads/modules/plugin_custom_html/' . $info['params'] . '.html';
		
		if(isset($_POST['html_code'])) {
			file_put_contents($file_name, $_POST['html_code']);
		}
		
		$this->data['text'] = '';
		$this->data['id'] = $this->url['actions'][1];
		
		if(file_exists($file_name)) {
			$this->data['text'] = file_get_contents($file_name);
		} else {
			$this->data['error'] = '   ' . $file_name;
		}
		
		$this->data['file_name'] = $info['params'];
		
		$this->data['page_name'] = '  "' . $info['name'] . '"';
		$this->page['html'] = $this->load_view('form') . '';
		return $this->page;
	}
	
	public function action_deactivate($info) {
		$file_name = ROOT_DIR . '/uploads/modules/plugin_custom_html/' . $info['params'] . '.html';
		if(file_exists($file_name)) {
			unlink($file_name);
		}
	}

}